#### make_work_guard (1 of 5 overloads)

Create an `executor_work_guard` object.

    template<
        typename Executor>
    executor_work_guard< Executor > make_work_guard(
        const Executor & ex,
        typename constraint< is_executor< Executor >::value||execution::is_executor< Executor >::value >::type  = 0);

###### Parameters

ex

  An executor.

###### Return Value

A work guard constructed with the specified executor.